* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}


body {
  font-family: Michroma, serif;
  margin: 0;
}





footer,
.btn-primary {
  background: linear-gradient(90deg, #c9c4d4 0%, #2814aa6d 44%, #e33740 100%);
}


/*-- main menu **/
.ul_view {
  list-style-type: none;
  margin: 0;
  padding: 0;
  overflow: hidden;
  background-color: rgba(0, 0, 255, 0.7);
}

.li_view {
  float: left;
}

.li_right {
  float: right;
}

.a_view {
  /**главное меню левые ссылки **/
  display: block;
  color: white;
  text-align: center;
  padding: 10px;
  text-decoration: none;
}

.a_view:hover {
  background-color: rgba(255, 0, 0, 0.3);
  color: white;
}



.down {
  /*главное меню правые ссылки **/
  padding: 10px;
  float: right;
  display: block;
  text-decoration: none;
  color: white;
}

.down:hover {
  background-color: rgba(255, 0, 0, 0.3);
  color: white;
}



/** group selected menu **/
.group_menu {
  display: inline-block;
  width: 100%;
  background-color: rgba(200, 200, 200, 0.5);
  height: 37px;
  margin: 0;
  padding-right: 5px;
}

.group_menu a:hover {
  background-color: #8e91ad;
  color: white;
}

.group_menu_for_a {
  float: left;
  padding: 5px;
  border: 2px outset rgba(155, 155, 155, 0.9);
  margin-right: 2px;
  color: white;
  text-align: center;
  background-color: rgba(0, 0, 255, 0.3);
  text-decoration: none;
}


.selected_group {
  float: left;
  padding: 5px;
  border: 2px outset rgba(200, 200, 200, 0.9);
  margin-right: 2px;
  color: white;
  text-align: center;
  background-color: #8e91ad;
  text-decoration: none;
}

.select {
  display: inline;
  margin-top: 4px;
  border: none;
  border-radius: 4px;
  background-color: #f1f1f1;
}


.ul_view_search {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

.second_row {
  display: block;
  margin: 0;
  padding: 0;
}


.main_div_search {
  display: inline-block;
  margin-right: 2px;
  height: 37px;
  border-radius: 8px;
  border-style: outset;
  border-color: gray;
  background-color: white;
  padding: 2px;
  margin-left: 15px;
}

.form_search {
  margin-bottom: 1px;
  padding-bottom: 2px;
}



.input_search {
  height: 30px;
  width: 300px;
  border: none;
  margin-bottom: 2px;
  outline: none;
}

.button_search {
  height: 28px;
  margin: 0;
  border-radius: 8px;
}


.sorted {
  position: relative;
  display: inline-block;


}

.button_sorted {
  /* Стилизация выпадающей кнопки */
  background-color: rgba(0, 0, 255, 0.3);
  color: white;
  padding: 5px;
  font-size: 16px;
  cursor: pointer;
  border: 2px outset grey;

}

.list_links {
  /* Выпадающий контент (скрыт по умолчанию) */
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 1;
}

.list_links a {
  color: black;
  padding: 5px 8px;
  text-decoration: none;
  display: block;

}

.list_links a:hover {
  background-color: #e25858;
  color: #000;
}


.sorted:hover .list_links {
  /* Показать выпадающее меню при наведении */
  display: block;
}

.sorted:hover .button_sorted {
  /* Изменить цвет фона кнопки выпадающего списка,
   когда отображается содержимое выпадающего списка. */
  background-color: rgba(155, 155, 155, 0.9);
}

@media only screen and (max-width: 950px) {


  .ul_view_search {
    float: left;
  }

  .li_right {
    float: left;
  }

  .second_row {
    height: 30px;
    margin: 5px;
  }

  .main_div_search {
    margin-left: 0;
  }

  .input_search {
    width: 100px;
  }
}







/** subgroup selected menu **/
.nav {
  display: inline-block;
  float: left;
  width: 30%;
  height: 100%;
  margin: 0px;
  border: 3px outset grey;
  border-right: none;

}

.nav>a:hover {
  background-color: #8e91ad;
}

.nav>a {
  display: block;
  margin: 1px;
  background-color: rgba(200, 200, 200, 0.2);
}

a.for_left_a {
  text-decoration: none;
}

/**  whole item **/
.article {
  display: flex;
  flex-direction: column;
  padding: 4px;
  border: 3px outset grey;
  margin: 0px;
  text-decoration: none;

}

.article>p {
  margin: 1px;
  display: inline;
  float: right;
  background-color: rgba(200, 200, 200, 0.2);
}

.for_card {
  padding: 2px;
  margin: 0px;
}



.for_h {
  text-align: center;
  background: linear-gradient(90deg, #c9c4d4 0%, #2814aa6d 44%, #e33740 100%);

}

.for_text_and_carusel {
  display: flex;
  flex-direction: row;

}

.for_text {
  margin: 5px;
  padding-left: 10px;
}


.for_img {
  width: 45vh;
  height: auto;
  max-height: 300px;
  float: left;
  margin-right: 10px;
}

.for_img_base {
  width: 25vh;
  height: auto;
  float: left;
  margin-right: 10px;
}

.price {
  padding-right: 30px;
  float: right;
  font-family: Fantasy;
  font-size: 16px;
  display: block;

}

.for_button {
  background: linear-gradient(90deg, #c9c4d4 0%, #2814aa6d 44%, #e33740 100%);

}




.detaild_button {
  background: linear-gradient(90deg, #c9c4d4 0%, #2814aa6d 44%, #e33740 100%);
  height: 32px;
}


.for_button>a {
  float: right;
  margin-right: 5px;
  border: 3px outset rgba(200, 200, 200, 0.9);
  text-decoration: none;
  color: white;
  padding-left: 5px;
  padding-right: 5px;
  padding-top: 1px;
  padding-bottom: 1px;
}

.for__button__button {
  float: right;
  margin-right: 5px;
  border: 3px outset rgba(200, 200, 200, 0.9);
  color: white;
  padding-left: 5px;
  padding-right: 5px;
}


.dropdown {
  display: inline;
  float: right;
  margin-right: 1px;

}

.btn-secondary {
  background-color: rgba(0, 0, 255, 0.3);
}


.for_carousel {
  width: 36vh;
  float: left;
}


.slide_text,
.footer_text {
  color: aquamarine;
  /**margin-inline: auto;  центруум по горизонтали **/
  /**margin-block: auto;   центруум по вертикали **/
  margin: auto auto;
  /** центруум по горизонтали  и по вертикали**/
}

.contacts {
  text-decoration: none;
}

.my_pagination {
  background-color: #8e91ad;
}




.a__on__dialog {
  display: inline-block;
  padding-left: 6px;
  padding-right: 6px;
  text-decoration: none;
  border: 1.6px outset black;
  padding-top: 1px;
  padding-bottom: 1px;
  background-color: rgb(240, 240, 240);
  color: black;
  margin: 8px;

}

.button_dialog {
  padding-left: 6px;
  padding-right: 6px;
  border: 1.6px outset black;
  background-color: rgb(240, 240, 240);
  padding-top: 1px;
  padding-bottom: 1px;
  margin: 8px;

}



.pagination_button {
  padding-left: 5px;
  padding-right: 5px;
  color: blue;

}


.none_display {
  display: none;
}

/*filters____________________________*/

.filters {

  position: absolute;
  right: 0;
  z-index: 1;
  width: 35%;
  height: auto;
  background-color: white;
  border: 3px solid black;
}

.input_number input {
  width: 5em;
  margin: 5px;

}

.all_filters {
  text-align: left;
  padding-left: 20px;

}

.all_filters label {
  margin-right: 10px;
}

.button_filter_close {
  border: 2 px outset grey;
  padding-left: 5px;
  padding-right: 5px;
  padding-top: 1px;
  padding-bottom: 1px;
  float: left;
  margin-bottom: 10px;
  margin-right: 10px;
}